# Uses of Interface
org.eclipse.birt.core.ui.frameworks.taskwizard.interfaces.ITask

Packages that use ITask
Package
Description
org.eclipse.birt.core.ui.frameworks.taskwizard
org.eclipse.birt.core.ui.frameworks.taskwizard.interfaces

## Uses of ITask in org.eclipse.birt.core.ui.frameworks.taskwizard

Classes in org.eclipse.birt.core.ui.frameworks.taskwizard that implement ITask
Modifier and Type
Class
Description
`class`
`CompoundTask`
`class`
`SimpleTask`
`class`
`TreeCompoundTask`
Compound task realized for tree navigator.
Methods in org.eclipse.birt.core.ui.frameworks.taskwizard that return ITask
Modifier and Type
Method
Description
`ITask`
TaskRegistrationEntry.`getClassDefinition()`
`ITask`
WizardBase.`getCurrentTask()`
`ITask`
TasksManager.`getTask(String sTaskID)`
Returns the ITask instance registered with the specified ID.
Methods in org.eclipse.birt.core.ui.frameworks.taskwizard with parameters of type ITask
Modifier and Type
Method
Description
`void`
TasksManager.`registerTask(String sTaskID, ITask task)`
This method registers a task with the TasksManager.
Constructors in org.eclipse.birt.core.ui.frameworks.taskwizard with parameters of type ITask
Modifier
Constructor
Description
``
`TaskRegistrationEntry(String taskID, ITask classDefinition, int priority)`

## Uses of ITask in org.eclipse.birt.core.ui.frameworks.taskwizard.interfaces

Methods in org.eclipse.birt.core.ui.frameworks.taskwizard.interfaces with parameters of type ITask
Modifier and Type
Method
Description
`void`
ISubtaskSheet.`setParentTask(ITask parentTask)`